QCA::SecureMessageKey Class Reference
QCA user API

`#include <QtCrypto>`

## Public Types

enum | Type { None , PGP , X509 }

## Public Member Functions

bool | havePrivate () const
bool | isNull () const
QString | name () const
SecureMessageKey & | operator= (const SecureMessageKey &from)
PGPKey | pgpPublicKey () const
PGPKey | pgpSecretKey () const
| SecureMessageKey ()
| SecureMessageKey (const SecureMessageKey &from)
void | setPGPPublicKey (const PGPKey &pub)
void | setPGPSecretKey (const PGPKey &sec)
void | setX509CertificateChain (const CertificateChain &c)
void | setX509KeyBundle (const KeyBundle &kb)
void | setX509PrivateKey (const PrivateKey &k)
Type | type () const
CertificateChain | x509CertificateChain () const
PrivateKey | x509PrivateKey () const

## Detailed Description

Key for SecureMessage system.

Examples
  publickeyexample.cpp.

## Member Enumeration Documentation

## Type

enum QCA::SecureMessageKey::Type

The key type.

Enumerator
None | no key
PGP | Pretty Good Privacy key.
X509 | X.509 CMS key.

## Constructor & Destructor Documentation

## SecureMessageKey() [1/2]

QCA::SecureMessageKey::SecureMessageKey | ( |  | ) |

Construct an empty key.

Referenced by operator=(), and SecureMessageKey().

## SecureMessageKey() [2/2]

QCA::SecureMessageKey::SecureMessageKey | ( | const SecureMessageKey & | from | ) |

Standard copy constructor.

Parameters

  from | the source key

References SecureMessageKey().

## Member Function Documentation

## operator=()

SecureMessageKey & QCA::SecureMessageKey::operator= | ( | const SecureMessageKey & | from | ) |

Standard assignment operator.

Parameters

  from | the source key

References SecureMessageKey().

## isNull()

bool QCA::SecureMessageKey::isNull | ( |  | ) | const

Returns true for null object.

## type()

Type QCA::SecureMessageKey::type | ( |  | ) | const

The key type.

## pgpPublicKey()

PGPKey QCA::SecureMessageKey::pgpPublicKey | ( |  | ) | const

Public key part of a PGP key.

## pgpSecretKey()

PGPKey QCA::SecureMessageKey::pgpSecretKey | ( |  | ) | const

Private key part of a PGP key.

## setPGPPublicKey()

void QCA::SecureMessageKey::setPGPPublicKey | ( | const PGPKey & | pub | ) |

Set the public key part of a PGP key.

Parameters

  pub | the PGP public key

## setPGPSecretKey()

void QCA::SecureMessageKey::setPGPSecretKey | ( | const PGPKey & | sec | ) |

Set the private key part of a PGP key.

Parameters

  sec | the PGP secretkey

## x509CertificateChain()

CertificateChain QCA::SecureMessageKey::x509CertificateChain | ( |  | ) | const

The X.509 certificate chain (public part) for this key.

## x509PrivateKey()

PrivateKey QCA::SecureMessageKey::x509PrivateKey | ( |  | ) | const

The X.509 private key part of this key.

## setX509CertificateChain()

void QCA::SecureMessageKey::setX509CertificateChain | ( | const CertificateChain & | c | ) |

Set the public key part of this X.509 key.

Parameters

  c | the Certificate chain containing the public keys

Examples
  publickeyexample.cpp.

## setX509PrivateKey()

void QCA::SecureMessageKey::setX509PrivateKey | ( | const PrivateKey & | k | ) |

Set the private key part of this X.509 key.

Parameters

  k | the private key

## setX509KeyBundle()

void QCA::SecureMessageKey::setX509KeyBundle | ( | const KeyBundle & | kb | ) |

Set the public and private part of this X.509 key with KeyBundle.

Parameters

  kb | the public and private key bundle

## havePrivate()

bool QCA::SecureMessageKey::havePrivate | ( |  | ) | const

Test if this key contains a private key part.

## name()

QString QCA::SecureMessageKey::name | ( |  | ) | const

The name associated with this key.

For a PGP key, this is the primary user ID

For an X.509 key, this is the Common Name

The documentation for this class was generated from the following file:

- qca_securemessage.h